From 86161be149cdefaceade84d39948685d7df60aeb Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Tue, 28 Oct 2008 19:17:00 +0800
Subject: [PATCH] fastboot: xserver-nodm-init runs at 05

---
 .../xserver-kdrive-common/xserver-nodm-init.bb     |    3 +++
 .../xserver-nodm-init/xserver-nodm                 |   19 +++++++------------
 2 files changed, 10 insertions(+), 12 deletions(-)

diff --git a/packages/xserver-kdrive-common/xserver-nodm-init.bb b/packages/xserver-kdrive-common/xserver-nodm-init.bb
index bea2179..220c877 100644
--- a/packages/xserver-kdrive-common/xserver-nodm-init.bb
+++ b/packages/xserver-kdrive-common/xserver-nodm-init.bb
@@ -19,3 +19,6 @@ inherit update-rc.d
 
 INITSCRIPT_NAME = "xserver-nodm"
 INITSCRIPT_PARAMS = "start 99 5 2 . stop 20 0 1 6 ."
+
+# started earlier since xserver takes seconds to start
+INITSCRIPT_PARAMS_openmoko = "start 5 5 2 . stop 20 0 1 6 ."
diff --git a/packages/xserver-kdrive-common/xserver-nodm-init/xserver-nodm b/packages/xserver-kdrive-common/xserver-nodm-init/xserver-nodm
index 2251c6a..28ba65c 100755
--- a/packages/xserver-kdrive-common/xserver-nodm-init/xserver-nodm
+++ b/packages/xserver-kdrive-common/xserver-nodm-init/xserver-nodm
@@ -19,18 +19,13 @@ done
 
 case "$1" in
   start)
-    # We don't want this script to block the rest of the boot process
-    if [ "$2" != "background" ]; then
-      $0 $1 background &
-    else
-       . /etc/profile
-       [ -z $LOGNAME ] && export LOGNAME=root && export HOME=/home/root
-       [ -z $HOME ] && export HOME=/home/$LOGNAME
-
-
-       echo "Starting Xserver"
-       /etc/X11/Xserver &
-    fi 
+        . /etc/profile
+        [ -z $LOGNAME ] && export LOGNAME=root && export HOME=/home/root
+        [ -z $HOME ] && export HOME=/home/$LOGNAME
+
+
+        echo "Starting Xserver"
+        /etc/X11/Xserver &
   ;;
 
   stop)
-- 
1.5.6.3

